Groovy Documentation

## org.codehaus.groovy.grails.plugins.support.aware
[Java] Class GrailsApplicationAwareBeanPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
          org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAwareBeanPostProcessor

    public class GrailsApplicationAwareBeanPostProcessor
    extends BeanPostProcessorAdapter

Implementation of org.springframework.beans.factory.config.BeanPostProcessor that recognizes GrailsApplicationAware and injects and instance of GrailsApplication.

Authors:
  Steven Devijver

Since:
  0.2

Constructor Summary
`GrailsApplicationAwareBeanPostProcessor(GrailsApplication grailsApplication)`

Method Summary
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`
`static void` | `processAwareInterfaces(GrailsApplication grailsApplication, java.lang.Object bean)`

Methods inherited from class BeanPostProcessorAdapter
postProcessAfterInitialization, postProcessBeforeInitialization

Constructor Detail

### GrailsApplicationAwareBeanPostProcessor

    public GrailsApplicationAwareBeanPostProcessor(GrailsApplication grailsApplication)

Method Detail

### postProcessBeforeInitialization

    @Override
    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

### processAwareInterfaces

    public static void processAwareInterfaces(GrailsApplication grailsApplication, java.lang.Object bean)

Groovy Documentation